Pdf Generation¶
Generate Pdf¶
HTTP Request
POST /api/generate-pdf
📋 Description: Generates a PDF document based on the provided data, facilitating the efficient distribution and presentation of information for business needs.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the necessary document details and user specifications required to generate a PDF report. |
Body Parameters
1{
2 "columnNames": [
3 "string"
4 ],
5 "dataObjects": [
6 {}
7 ],
8 "filters": {
9 "property1": {},
10 "property2": {}
11 },
12 "additionalInfo": "string",
13 "reportTitle": "string",
14 "reportType": "string"
15}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{}